/*---------------------------------------------------------------------------------------------------------*/
/*                                                                                                         */
/* Copyright(c) 2010 Nuvoton Technology Corp. All rights reserved.                                         */
/*                                                                                                         */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef __L_SPI_H__
#define __L_SPI_H__

#define SPI_Master      0
#define SPI_Slave       1

#define WRITER_ENABLE   0x06
#define WRITER_DISABLE  0x04
#define READ_DATAE      0x03
#define PAGE_PROGRAM    0x02
#define CHIP_ERASE      0xC7

#define SRAM_SPI0_Tx0_BUF0 ((volatile unsigned long *) (0x20000000+0x00000000))
#define SRAM_SPI1_Rx0_BUF  ((volatile unsigned long *) (0x20000000+0x00000100))
#define SRAM_SPI1_Rx0_BUF1 ((volatile unsigned long *) (0x20000000+0x00000200))

void SPI0_Master_Init(void);
void SPI0_Send_1W(uint32_t ulData, uint8_t ucLength);
void Get_Slave_ID(void);
void SPI0_Length(uint8_t ucLength);
void SPI1_Slave_Init(void);
void SPI1_Length(uint8_t ucLength);
void Print_Get_Data(void);
#endif


